diff --git a/puppy-unleashed/packages/net_setup-4.00-1/usr/sbin/net-setup.sh b/puppy-unleashed/packages/net_setup-4.00-1/usr/sbin/net-setup.sh
index f040206..3cc4ace 100755
--- a/puppy-unleashed/packages/net_setup-4.00-1/usr/sbin/net-setup.sh
+++ b/puppy-unleashed/packages/net_setup-4.00-1/usr/sbin/net-setup.sh
@@ -75,7 +75,7 @@ showMainWindow()
 
 #begin rerwin
 		#Interpret client-option checkbox; allow duid only if supported.
-		[ "$CHKBOXDUID" = "true" ] && [ -d /var/lib/dhcpcd -o ! -d /etc/dhcpc ] && touch /root/.dhcpcd.duid || rm /root/.dhcpcd.duid 2> /dev/null   #rerwin
+		[ "$CHKBOXDUID" = "true" ] && [ -d /var/lib/dhcpcd -o ! -d /etc/dhcpc ] && touch ${HOME}/.dhcpcd.duid || rm ${HOME}/.dhcpcd.duid 2> /dev/null   #rerwin
 		[ -d /etc/dhcpc -a ! -d /var/lib/dhcpcd ] && CHECKDUID="false" || CHECKDUID=$CHKBOXDUID  #Update check-state in case user returns to main dialog - but force uncheck if running older dhcpcd.
 #end rerwin
 
@@ -212,7 +212,7 @@ To test or configure an interface, click on its button."  > /tmp/net-setup_MSGIN
  #${LOADEDETH}" > /tmp/net-setup_MSGMODULES.txt
 
 #Rerwin: Initialize Client-identification option.
-[ -f /root/.dhcpcd.duid ] && CHECKDUID="true" || CHECKDUID="false"   #rerwin
+[ -f ${HOME}/.dhcpcd.duid ] && CHECKDUID="true" || CHECKDUID="false"   #rerwin
 
 } # end refreshMainWindowInfo
 
@@ -963,10 +963,10 @@ setupDHCP()
 		sleep 5
 
 #begin rerwin - select type of client ID and set up for common duid for pup-save or within partition.
-		if [ -f /root/.dhcpcd.duid ];then  #Use default if indicated, or MAC address, as client ID
-		 if [ -s /mnt/home/.common.duid -o -s /root/.dhcpcd.duid ];then  #a partition-common duid exists.
+		if [ -f ${HOME}/.dhcpcd.duid ];then  #Use default if indicated, or MAC address, as client ID
+		 if [ -s /mnt/home/.common.duid -o -s ${HOME}/.dhcpcd.duid ];then  #a partition-common duid exists.
 	 	  [ ! -d /var/lib/dhcpcd ] && mkdir /var/lib/dhcpcd
-		  [ -s /mnt/home/.common.duid ] && cp /mnt/home/.common.duid /var/lib/dhcpcd/dhcpcd.duid || cp /root/.dhcpcd.duid /var/lib/dhcpcd/dhcpcd.duid  #use partition-common duid.
+		  [ -s /mnt/home/.common.duid ] && cp /mnt/home/.common.duid /var/lib/dhcpcd/dhcpcd.duid || cp ${HOME}/.dhcpcd.duid /var/lib/dhcpcd/dhcpcd.duid  #use partition-common duid.
 		 #else let dhcpcd use previously acquired duid or create new one
 		 fi
 		 dhcpcd -d $INTERFACE
@@ -978,7 +978,7 @@ setupDHCP()
 #end rerwin
 			HAS_ERROR=0
 #begin rerwin - Save copy of duid, if any, for use during reboot and as partition-common duid.
-			cp /var/lib/dhcpcd/dhcpcd.duid /root/.dhcpcd.duid 2>/dev/null
+			cp /var/lib/dhcpcd/dhcpcd.duid ${HOME}/.dhcpcd.duid 2>/dev/null
 			[ -d /mnt/home -a ! -s /mnt/home/.common.duid ] && cp /var/lib/dhcpcd/dhcpcd.duid /mnt/home/.common.duid 2>/dev/null
 #end rerwin
 		else
@@ -999,11 +999,11 @@ echo \"Trying to get IP address from DHCP server (60sec timeout)...\" > /dev/con
 rm /etc/dhcpc/dhcpcd-${INTERFACE}.pid 2>/dev/null #if left over from last session, causes trouble.
 rm /etc/dhcpc/dhcpcd-${INTERFACE}.cache 2>/dev/null #ditto
 rm /etc/dhcpc/dhcpcd-${INTERFACE}.info 2>/dev/null #ditto
-if [ ! -f /root/.dhcpcd.duid ];then
+if [ ! -f ${HOME}/.dhcpcd.duid ];then
  [ -d /etc/dhcpc ] && dhcpcd $INTERFACE || dhcpcd -I '' $INTERFACE
 else
  #[ ! -d /var/lib/dhcpcd ] && mkdir /var/lib/dhcpcd
- #[ -s /root/.dhcpcd.duid ] && cp /root/.dhcpcd.duid /var/lib/dhcpcd/dhcpcd.duid
+ #[ -s ${HOME}/.dhcpcd.duid ] && cp ${HOME}/.dhcpcd.duid /var/lib/dhcpcd/dhcpcd.duid
  dhcpcd $INTERFACE
 fi"   #Use default if indicated, or MAC address, as client ID.  #rerwin
   else
diff --git a/puppy-unleashed/packages/net_setup-4.00/usr/sbin/ndiswrapperGUI.sh b/puppy-unleashed/packages/net_setup-4.00/usr/sbin/ndiswrapperGUI.sh
index 1044c15..bb645c3 100755
--- a/puppy-unleashed/packages/net_setup-4.00/usr/sbin/ndiswrapperGUI.sh
+++ b/puppy-unleashed/packages/net_setup-4.00/usr/sbin/ndiswrapperGUI.sh
@@ -36,7 +36,7 @@ selectDriverFile()
 #=============================================================================
 showNdiswrapperGUI()
 {
-  CONFIG_DIR=/root/.config/ndiswrapperGUI
+  CONFIG_DIR=${HOME}/.config/ndiswrapperGUI
 
   mkdir -p $CONFIG_DIR
   PREV_LOCATION="`cat "$CONFIG_DIR/prev_location"`"
diff --git a/puppy-unleashed/packages/net_setup-4.00/usr/sbin/net-setup.sh b/puppy-unleashed/packages/net_setup-4.00/usr/sbin/net-setup.sh
index f040206..3cc4ace 100755
--- a/puppy-unleashed/packages/net_setup-4.00/usr/sbin/net-setup.sh
+++ b/puppy-unleashed/packages/net_setup-4.00/usr/sbin/net-setup.sh
@@ -75,7 +75,7 @@ showMainWindow()
 
 #begin rerwin
 		#Interpret client-option checkbox; allow duid only if supported.
-		[ "$CHKBOXDUID" = "true" ] && [ -d /var/lib/dhcpcd -o ! -d /etc/dhcpc ] && touch /root/.dhcpcd.duid || rm /root/.dhcpcd.duid 2> /dev/null   #rerwin
+		[ "$CHKBOXDUID" = "true" ] && [ -d /var/lib/dhcpcd -o ! -d /etc/dhcpc ] && touch ${HOME}/.dhcpcd.duid || rm ${HOME}/.dhcpcd.duid 2> /dev/null   #rerwin
 		[ -d /etc/dhcpc -a ! -d /var/lib/dhcpcd ] && CHECKDUID="false" || CHECKDUID=$CHKBOXDUID  #Update check-state in case user returns to main dialog - but force uncheck if running older dhcpcd.
 #end rerwin
 
@@ -212,7 +212,7 @@ To test or configure an interface, click on its button."  > /tmp/net-setup_MSGIN
  #${LOADEDETH}" > /tmp/net-setup_MSGMODULES.txt
 
 #Rerwin: Initialize Client-identification option.
-[ -f /root/.dhcpcd.duid ] && CHECKDUID="true" || CHECKDUID="false"   #rerwin
+[ -f ${HOME}/.dhcpcd.duid ] && CHECKDUID="true" || CHECKDUID="false"   #rerwin
 
 } # end refreshMainWindowInfo
 
@@ -963,10 +963,10 @@ setupDHCP()
 		sleep 5
 
 #begin rerwin - select type of client ID and set up for common duid for pup-save or within partition.
-		if [ -f /root/.dhcpcd.duid ];then  #Use default if indicated, or MAC address, as client ID
-		 if [ -s /mnt/home/.common.duid -o -s /root/.dhcpcd.duid ];then  #a partition-common duid exists.
+		if [ -f ${HOME}/.dhcpcd.duid ];then  #Use default if indicated, or MAC address, as client ID
+		 if [ -s /mnt/home/.common.duid -o -s ${HOME}/.dhcpcd.duid ];then  #a partition-common duid exists.
 	 	  [ ! -d /var/lib/dhcpcd ] && mkdir /var/lib/dhcpcd
-		  [ -s /mnt/home/.common.duid ] && cp /mnt/home/.common.duid /var/lib/dhcpcd/dhcpcd.duid || cp /root/.dhcpcd.duid /var/lib/dhcpcd/dhcpcd.duid  #use partition-common duid.
+		  [ -s /mnt/home/.common.duid ] && cp /mnt/home/.common.duid /var/lib/dhcpcd/dhcpcd.duid || cp ${HOME}/.dhcpcd.duid /var/lib/dhcpcd/dhcpcd.duid  #use partition-common duid.
 		 #else let dhcpcd use previously acquired duid or create new one
 		 fi
 		 dhcpcd -d $INTERFACE
@@ -978,7 +978,7 @@ setupDHCP()
 #end rerwin
 			HAS_ERROR=0
 #begin rerwin - Save copy of duid, if any, for use during reboot and as partition-common duid.
-			cp /var/lib/dhcpcd/dhcpcd.duid /root/.dhcpcd.duid 2>/dev/null
+			cp /var/lib/dhcpcd/dhcpcd.duid ${HOME}/.dhcpcd.duid 2>/dev/null
 			[ -d /mnt/home -a ! -s /mnt/home/.common.duid ] && cp /var/lib/dhcpcd/dhcpcd.duid /mnt/home/.common.duid 2>/dev/null
 #end rerwin
 		else
@@ -999,11 +999,11 @@ echo \"Trying to get IP address from DHCP server (60sec timeout)...\" > /dev/con
 rm /etc/dhcpc/dhcpcd-${INTERFACE}.pid 2>/dev/null #if left over from last session, causes trouble.
 rm /etc/dhcpc/dhcpcd-${INTERFACE}.cache 2>/dev/null #ditto
 rm /etc/dhcpc/dhcpcd-${INTERFACE}.info 2>/dev/null #ditto
-if [ ! -f /root/.dhcpcd.duid ];then
+if [ ! -f ${HOME}/.dhcpcd.duid ];then
  [ -d /etc/dhcpc ] && dhcpcd $INTERFACE || dhcpcd -I '' $INTERFACE
 else
  #[ ! -d /var/lib/dhcpcd ] && mkdir /var/lib/dhcpcd
- #[ -s /root/.dhcpcd.duid ] && cp /root/.dhcpcd.duid /var/lib/dhcpcd/dhcpcd.duid
+ #[ -s ${HOME}/.dhcpcd.duid ] && cp ${HOME}/.dhcpcd.duid /var/lib/dhcpcd/dhcpcd.duid
  dhcpcd $INTERFACE
 fi"   #Use default if indicated, or MAC address, as client ID.  #rerwin
   else
diff --git a/puppy-unleashed/packages/net_setup_retro-411/usr/local/net_setup/etc/rc.d/rc.network b/puppy-unleashed/packages/net_setup_retro-411/usr/local/net_setup/etc/rc.d/rc.network
index f2f4c2e..d0b227b 100755
--- a/puppy-unleashed/packages/net_setup_retro-411/usr/local/net_setup/etc/rc.d/rc.network
+++ b/puppy-unleashed/packages/net_setup_retro-411/usr/local/net_setup/etc/rc.d/rc.network
@@ -51,14 +51,14 @@ fi
 #fi
 
 #begin rerwin
-if [ -f /root/.dhcpcd.duid ];then  #Using a DUID in client ID
+if [ -f ${HOME}/.dhcpcd.duid ];then  #Using a DUID in client ID
  #If running from pup_save file and no common DHCP Unique Identifier (DUID) present and partition has a full-install or partition-save and a duid file, make that file the common duid.
- [ ! -s /mnt/home/.common.duid -a ! "`ls -l /mnt/home | cut -f 11 -d ' '`" = "/" -a -s /mnt/home/root/.dhcpcd.duid ] && cp /mnt/home/root/.dhcpcd.duid /mnt/home/.common.duid
+ [ ! -s /mnt/home/.common.duid -a ! "`ls -l /mnt/home | cut -f 11 -d ' '`" = "/" -a -s /mnt/home${HOME}/.dhcpcd.duid ] && cp /mnt/home${HOME}/.dhcpcd.duid /mnt/home/.common.duid
  #Ensure that any local duid matches the common duid or will force new duid.
- [ -s /mnt/home/.common.duid ] && cp /mnt/home/.common.duid /root/.dhcpcd.duid || cp /dev/null /root/.dhcpcd.duid
- if [ -s /root/.dhcpcd.duid ];then   #duid info for DHCP request.
+ [ -s /mnt/home/.common.duid ] && cp /mnt/home/.common.duid ${HOME}/.dhcpcd.duid || cp /dev/null ${HOME}/.dhcpcd.duid
+ if [ -s ${HOME}/.dhcpcd.duid ];then   #duid info for DHCP request.
   [ ! -d /var/lib/dhcpcd ] && mkdir /var/lib/dhcpcd
-  cp /root/.dhcpcd.duid /var/lib/dhcpcd/dhcpcd.duid
+  cp ${HOME}/.dhcpcd.duid /var/lib/dhcpcd/dhcpcd.duid
  else  #Force new DUID
   [ -f /var/lib/dhcpcd/dhcpcd.duid ] && rm /var/lib/dhcpcd/dhcpcd.duid
  fi
@@ -167,7 +167,7 @@ do
 
 #begin rerwin
      #Preset duid for dhcpcd, to use common  or local duid.
-     if [ -f /root/.dhcpcd.duid ];then   #duid client ID expected
+     if [ -f ${HOME}/.dhcpcd.duid ];then   #duid client ID expected
       dhcpcd ${INTERFACE}
      else
       [ -d /etc/dhcpc ] && dhcpcd ${INTERFACE} || dhcpcd -I '' ${INTERFACE}
@@ -179,8 +179,8 @@ do
 	    INTERFACEFAIL=1
      else
 #begin rerwin
-      if [ -f /root/.dhcpcd.duid ];then   #using a duid
-       [ -z `cat /root/.dhcpcd.duid` ] && cp /var/lib/dhcpcd/dhcpcd.duid /root/.dhcpcd.duid   #Save duid locally, if new.
+      if [ -f ${HOME}/.dhcpcd.duid ];then   #using a duid
+       [ -z `cat ${HOME}/.dhcpcd.duid` ] && cp /var/lib/dhcpcd/dhcpcd.duid ${HOME}/.dhcpcd.duid   #Save duid locally, if new.
       #If no common duid, save new duid as the partition-common duid.
        [ -d /mnt/home -a ! -s /mnt/home/.common.duid ] && cp /var/lib/dhcpcd/dhcpcd.duid /mnt/home/.common.duid
       fi
@@ -202,8 +202,8 @@ do
       ifconfig ${INTERFACE} down
      else
 #begin rerwin
-      if [ -f /root/.dhcpcd.duid ];then   #using a duid
-       [ -z `cat /root/.dhcpcd.duid` ] && cp /var/lib/dhcpcd/dhcpcd.duid /root/.dhcpcd.duid   #Save duid locally, if new.
+      if [ -f ${HOME}/.dhcpcd.duid ];then   #using a duid
+       [ -z `cat ${HOME}/.dhcpcd.duid` ] && cp /var/lib/dhcpcd/dhcpcd.duid ${HOME}/.dhcpcd.duid   #Save duid locally, if new.
       #If no common duid, save new duid as the partition-common duid.
        [ -d /mnt/home -a ! -s /mnt/home/.common.duid ] && cp /var/lib/dhcpcd/dhcpcd.duid /mnt/home/.common.duid
       fi
diff --git a/puppy-unleashed/packages/net_setup_retro-411/usr/local/net_setup/usr/sbin/ndiswrapperGUI.sh b/puppy-unleashed/packages/net_setup_retro-411/usr/local/net_setup/usr/sbin/ndiswrapperGUI.sh
index 1044c15..bb645c3 100755
--- a/puppy-unleashed/packages/net_setup_retro-411/usr/local/net_setup/usr/sbin/ndiswrapperGUI.sh
+++ b/puppy-unleashed/packages/net_setup_retro-411/usr/local/net_setup/usr/sbin/ndiswrapperGUI.sh
@@ -36,7 +36,7 @@ selectDriverFile()
 #=============================================================================
 showNdiswrapperGUI()
 {
-  CONFIG_DIR=/root/.config/ndiswrapperGUI
+  CONFIG_DIR=${HOME}/.config/ndiswrapperGUI
 
   mkdir -p $CONFIG_DIR
   PREV_LOCATION="`cat "$CONFIG_DIR/prev_location"`"
diff --git a/puppy-unleashed/packages/net_setup_retro-411/usr/local/net_setup/usr/sbin/net-setup.sh b/puppy-unleashed/packages/net_setup_retro-411/usr/local/net_setup/usr/sbin/net-setup.sh
index 4e9db7f..65e1253 100755
--- a/puppy-unleashed/packages/net_setup_retro-411/usr/local/net_setup/usr/sbin/net-setup.sh
+++ b/puppy-unleashed/packages/net_setup_retro-411/usr/local/net_setup/usr/sbin/net-setup.sh
@@ -78,7 +78,7 @@ showMainWindow()
 
 #begin rerwin
 		#Interpret client-option checkbox; allow duid only if supported.
-		[ "$CHKBOXDUID" = "true" ] && [ -d /var/lib/dhcpcd -o ! -d /etc/dhcpc ] && touch /root/.dhcpcd.duid || rm /root/.dhcpcd.duid 2> /dev/null   #rerwin
+		[ "$CHKBOXDUID" = "true" ] && [ -d /var/lib/dhcpcd -o ! -d /etc/dhcpc ] && touch ${HOME}/.dhcpcd.duid || rm ${HOME}/.dhcpcd.duid 2> /dev/null   #rerwin
 		[ -d /etc/dhcpc -a ! -d /var/lib/dhcpcd ] && CHECKDUID="false" || CHECKDUID=$CHKBOXDUID  #Update check-state in case user returns to main dialog - but force uncheck if running older dhcpcd.
 #end rerwin
 
@@ -217,7 +217,7 @@ To test or configure an interface, click on its button."  > /tmp/net-setup_MSGIN
  #${LOADEDETH}" > /tmp/net-setup_MSGMODULES.txt
 
 #Rerwin: Initialize Client-identification option.
-[ -f /root/.dhcpcd.duid ] && CHECKDUID="true" || CHECKDUID="false"   #rerwin
+[ -f ${HOME}/.dhcpcd.duid ] && CHECKDUID="true" || CHECKDUID="false"   #rerwin
 
 } # end refreshMainWindowInfo
 
@@ -984,10 +984,10 @@ setupDHCP()
 		sleep 5
 
 #begin rerwin - select type of client ID and set up for common duid for pup-save or within partition.
-		if [ -f /root/.dhcpcd.duid ];then  #Use default if indicated, or MAC address, as client ID
-		 if [ -s /mnt/home/.common.duid -o -s /root/.dhcpcd.duid ];then  #a partition-common duid exists.
+		if [ -f ${HOME}/.dhcpcd.duid ];then  #Use default if indicated, or MAC address, as client ID
+		 if [ -s /mnt/home/.common.duid -o -s ${HOME}/.dhcpcd.duid ];then  #a partition-common duid exists.
 	 	  [ ! -d /var/lib/dhcpcd ] && mkdir /var/lib/dhcpcd
-		  [ -s /mnt/home/.common.duid ] && cp /mnt/home/.common.duid /var/lib/dhcpcd/dhcpcd.duid || cp /root/.dhcpcd.duid /var/lib/dhcpcd/dhcpcd.duid  #use partition-common duid.
+		  [ -s /mnt/home/.common.duid ] && cp /mnt/home/.common.duid /var/lib/dhcpcd/dhcpcd.duid || cp ${HOME}/.dhcpcd.duid /var/lib/dhcpcd/dhcpcd.duid  #use partition-common duid.
 		 #else let dhcpcd use previously acquired duid or create new one
 		 fi
 		 dhcpcd -d $INTERFACE
@@ -999,7 +999,7 @@ setupDHCP()
 #end rerwin
 			HAS_ERROR=0
 #begin rerwin - Save copy of duid, if any, for use during reboot and as partition-common duid.
-			cp /var/lib/dhcpcd/dhcpcd.duid /root/.dhcpcd.duid 2>/dev/null
+			cp /var/lib/dhcpcd/dhcpcd.duid ${HOME}/.dhcpcd.duid 2>/dev/null
 			[ -d /mnt/home -a ! -s /mnt/home/.common.duid ] && cp /var/lib/dhcpcd/dhcpcd.duid /mnt/home/.common.duid 2>/dev/null
 #end rerwin
 		else
@@ -1020,11 +1020,11 @@ echo \"Trying to get IP address from DHCP server (60sec timeout)...\" > /dev/con
 rm /etc/dhcpc/dhcpcd-${INTERFACE}.pid 2>/dev/null #if left over from last session, causes trouble.
 rm /etc/dhcpc/dhcpcd-${INTERFACE}.cache 2>/dev/null #ditto
 rm /etc/dhcpc/dhcpcd-${INTERFACE}.info 2>/dev/null #ditto
-if [ ! -f /root/.dhcpcd.duid ];then
+if [ ! -f ${HOME}/.dhcpcd.duid ];then
  [ -d /etc/dhcpc ] && dhcpcd $INTERFACE || dhcpcd -I '' $INTERFACE
 else
  #[ ! -d /var/lib/dhcpcd ] && mkdir /var/lib/dhcpcd
- #[ -s /root/.dhcpcd.duid ] && cp /root/.dhcpcd.duid /var/lib/dhcpcd/dhcpcd.duid
+ #[ -s ${HOME}/.dhcpcd.duid ] && cp ${HOME}/.dhcpcd.duid /var/lib/dhcpcd/dhcpcd.duid
  dhcpcd $INTERFACE
 fi"   #Use default if indicated, or MAC address, as client ID.  #rerwin
   else
diff --git a/puppy-unleashed/packages/pbackup-3.1.4/usr/local/pbackup/pbackup b/puppy-unleashed/packages/pbackup-3.1.4/usr/local/pbackup/pbackup
index 1c88e0a..d6287d8 100755
--- a/puppy-unleashed/packages/pbackup-3.1.4/usr/local/pbackup/pbackup
+++ b/puppy-unleashed/packages/pbackup-3.1.4/usr/local/pbackup/pbackup
@@ -1928,7 +1928,7 @@ case "$1" in
 	fi
 	if [ `echo $CURRENT_VERSION  | sed -e s/^.*\=//g | tr -d "."` -lt 310 > /dev/null 2>&1 ]; then #Older than 3.1.0
 		sed -i -e "s/$CURRENT_VERSION/VERSION=$VERSION/g" $HOME/.pbackup/pbackuprc
-		rm /root/Startup/crond
+		rm ${HOME}/Startup/crond
 		cron_check
 	fi
 	if [ `echo $CURRENT_VERSION  | sed -e s/^.*\=//g | tr -d "."` -lt 314 > /dev/null 2>&1 ]; then #Older than 3.1.4
diff --git a/puppy-unleashed/packages/pbackup-3.1.5/usr/local/pbackup/pbackup b/puppy-unleashed/packages/pbackup-3.1.5/usr/local/pbackup/pbackup
index 1ad4b78..d24efe3 100755
--- a/puppy-unleashed/packages/pbackup-3.1.5/usr/local/pbackup/pbackup
+++ b/puppy-unleashed/packages/pbackup-3.1.5/usr/local/pbackup/pbackup
@@ -1938,7 +1938,7 @@ case "$1" in
 	fi
 	if [ `echo $CURRENT_VERSION  | sed -e s/^.*\=//g | tr -d "."` -lt 310 > /dev/null 2>&1 ]; then #Older than 3.1.0
 		sed -i -e "s/$CURRENT_VERSION/VERSION=$VERSION/g" $HOME/.pbackup/pbackuprc
-		rm /root/Startup/crond
+		rm ${HOME}/Startup/crond
 		cron_check
 	fi
 	if [ `echo $CURRENT_VERSION  | sed -e s/^.*\=//g | tr -d "."` -lt 315 > /dev/null 2>&1 ]; then #Older than 3.1.5
diff --git a/puppy-unleashed/packages/pfilesearch-1.11/usr/local/pfilesearch/locals/english b/puppy-unleashed/packages/pfilesearch-1.11/usr/local/pfilesearch/locals/english
index bce6bed..1a0cb90 100644
--- a/puppy-unleashed/packages/pfilesearch-1.11/usr/local/pfilesearch/locals/english
+++ b/puppy-unleashed/packages/pfilesearch-1.11/usr/local/pfilesearch/locals/english
@@ -64,7 +64,7 @@ LOC310="Searchpath"
 
 #info
 export LOC311="If wanted, there can be several searchpaths.
-Separate paths with <b>[OR]</b>: '/mnt/ [OR] /root/'.
+Separate paths with <b>[OR]</b>: '/mnt/ [OR] ${HOME}/'.
 './' is used to specify current path."
 export LOC312="- Searching for 'text in file' is MUCH slower than 'filename'.
 - Regular expressions works only when searching for filenames (not Text in file).
diff --git a/puppy-unleashed/packages/pfilesearch-1.4/usr/local/pfilesearch/locals/english b/puppy-unleashed/packages/pfilesearch-1.4/usr/local/pfilesearch/locals/english
index 3441b43..2d527ea 100644
--- a/puppy-unleashed/packages/pfilesearch-1.4/usr/local/pfilesearch/locals/english
+++ b/puppy-unleashed/packages/pfilesearch-1.4/usr/local/pfilesearch/locals/english
@@ -64,7 +64,7 @@ LOC310="Searchpath"
 
 #info
 export LOC311="If wanted, there can be several searchpaths.
-Separate paths with <b>[OR]</b>: '/mnt/ [OR] /root/'.
+Separate paths with <b>[OR]</b>: '/mnt/ [OR] ${HOME}/'.
 './' is used to specify current path."
 export LOC312="- Searching for 'text in file' is MUCH slower than 'filename'.
 - Regular expressions works only when searching for filenames (not Text in file).
diff --git a/puppy-unleashed/packages/pfilesearch-1.4/usr/local/pfilesearch/locals/italian b/puppy-unleashed/packages/pfilesearch-1.4/usr/local/pfilesearch/locals/italian
index 0309355..98e3e4c 100644
--- a/puppy-unleashed/packages/pfilesearch-1.4/usr/local/pfilesearch/locals/italian
+++ b/puppy-unleashed/packages/pfilesearch-1.4/usr/local/pfilesearch/locals/italian
@@ -64,7 +64,7 @@ LOC310="Percorso di ricerca"
 
 #info
 export LOC311="Se richiesto, vi possono essere più percorsi di ricerca.
-percorsi separati da <b>[OR]</b>: '/mnt/ [OR] /root/'.
+percorsi separati da <b>[OR]</b>: '/mnt/ [OR] ${HOME}/'.
 './' è usato per specificare il percorso corrente."
 export LOC312="- La ricerca 'testo in file' è molto più lenta della ricerca nel'nome file'.
 - Le espressioni regolari funzionano solo quando si effettua una ricerca per nome file (non testo in file).
diff --git a/puppy-unleashed/packages/pfilesearch-1.9/usr/local/pfilesearch/locals/english b/puppy-unleashed/packages/pfilesearch-1.9/usr/local/pfilesearch/locals/english
index bce6bed..1a0cb90 100644
--- a/puppy-unleashed/packages/pfilesearch-1.9/usr/local/pfilesearch/locals/english
+++ b/puppy-unleashed/packages/pfilesearch-1.9/usr/local/pfilesearch/locals/english
@@ -64,7 +64,7 @@ LOC310="Searchpath"
 
 #info
 export LOC311="If wanted, there can be several searchpaths.
-Separate paths with <b>[OR]</b>: '/mnt/ [OR] /root/'.
+Separate paths with <b>[OR]</b>: '/mnt/ [OR] ${HOME}/'.
 './' is used to specify current path."
 export LOC312="- Searching for 'text in file' is MUCH slower than 'filename'.
 - Regular expressions works only when searching for filenames (not Text in file).
diff --git a/puppy-unleashed/packages/pfind-3.4/usr/local/pfind/func b/puppy-unleashed/packages/pfind-3.4/usr/local/pfind/func
index 054deac..fdb5f4b 100755
--- a/puppy-unleashed/packages/pfind-3.4/usr/local/pfind/func
+++ b/puppy-unleashed/packages/pfind-3.4/usr/local/pfind/func
@@ -232,7 +232,7 @@ case $PROFILE in
  	<vbox>
  	 <frame $LOC614>
 	  <text><label>\"\"</label></text>
-	  <text><label>\"mv [FILE] /root/    -->    $LOC615 /root/\"</label></text>
+	  <text><label>\"mv [FILE] ${HOME}/    -->    $LOC615 ${HOME}/\"</label></text>
 	  <entry activates-default=\"true\"><variable>COMMAND</variable></entry>
 	  <text><label>\"\"</label></text>
 	 </frame>
diff --git a/puppy-unleashed/packages/pfind-4.4-1/usr/local/pfind/func b/puppy-unleashed/packages/pfind-4.4-1/usr/local/pfind/func
index 58e4d50..c48be2e 100755
--- a/puppy-unleashed/packages/pfind-4.4-1/usr/local/pfind/func
+++ b/puppy-unleashed/packages/pfind-4.4-1/usr/local/pfind/func
@@ -232,7 +232,7 @@ case $PROFILE in
  	<vbox>
  	 <frame $LOC614>
 	  <text><label>\"\"</label></text>
-	  <text><label>\"mv [FILE] /root/    -->    $LOC615 /root/\"</label></text>
+	  <text><label>\"mv [FILE] ${HOME}/    -->    $LOC615 ${HOME}/\"</label></text>
 	  <entry activates-default=\"true\"><variable>COMMAND</variable></entry>
 	  <text><label>\"\"</label></text>
 	 </frame>
diff --git a/puppy-unleashed/packages/pfind-4.4-1/usr/local/pfind/locals/english b/puppy-unleashed/packages/pfind-4.4-1/usr/local/pfind/locals/english
index 0788897..4ff57c8 100644
--- a/puppy-unleashed/packages/pfind-4.4-1/usr/local/pfind/locals/english
+++ b/puppy-unleashed/packages/pfind-4.4-1/usr/local/pfind/locals/english
@@ -132,7 +132,7 @@ LOC617="Search result contains file(s) with < or > in name. As long as all filen
 LOC618="items in list.|See menuitem 'configure'."
 LOC619="Restart Pfind to activate new language."
 LOC620="Filenames in searchresult can be shown in 3 different ways:
-<b>Short</b> - Just filename (file.txt). Similar files (/tmp/file.txt and /root/file.txt) will be (file.txt) and (file~.txt).
+<b>Short</b> - Just filename (file.txt). Similar files (/tmp/file.txt and ${HOME}/file.txt) will be (file.txt) and (file~.txt).
 <b>Long</b> - Filename with path (-tmp-file.txt). Never similar files.
 <b>Hybrid</b> - As 'short', but 'long' when similar files."
 
diff --git a/puppy-unleashed/packages/pfind-4.4-1/usr/local/pfind/pfindhlp b/puppy-unleashed/packages/pfind-4.4-1/usr/local/pfind/pfindhlp
index bf345ec..a1a2abd 100755
--- a/puppy-unleashed/packages/pfind-4.4-1/usr/local/pfind/pfindhlp
+++ b/puppy-unleashed/packages/pfind-4.4-1/usr/local/pfind/pfindhlp
@@ -1,9 +1,9 @@
 
 export HLPTXT1="If wanted, there can be several searchpaths.
-Separate paths with [OR]: '/mnt/ [OR] /root/'.
+Separate paths with [OR]: '/mnt/ [OR] ${HOME}/'.
 './' is used to specify current path."
 export HLPTXT2="Filenames in searchresult can be shown in 3 different ways:
-<b>short</b> -  Just filename (file.txt). Similar files (/tmp/file.txt and /root/file.txt) will be (file.txt) and (file~.txt).
+<b>short</b> -  Just filename (file.txt). Similar files (/tmp/file.txt and ${HOME}/file.txt) will be (file.txt) and (file~.txt).
 <b>long</b> -   Filename with path (-tmp-file.txt). Never similar files.
 <b>hybrid</b> - As 'short', but 'long' when similar files."
 export HLPTXT3="- Searching for 'text in file' is MUCH slower than 'filename'.
diff --git a/puppy-unleashed/packages/pfind-4.7/usr/local/pfind/func b/puppy-unleashed/packages/pfind-4.7/usr/local/pfind/func
index 66a7906..36bd5d2 100755
--- a/puppy-unleashed/packages/pfind-4.7/usr/local/pfind/func
+++ b/puppy-unleashed/packages/pfind-4.7/usr/local/pfind/func
@@ -242,7 +242,7 @@ case $PROFILE in
  	<vbox>
  	 <frame $LOC614>
 	  <text><label>\"\"</label></text>
-	  <text><label>\"mv [FILE] /root/    -->    $LOC615 /root/\"</label></text>
+	  <text><label>\"mv [FILE] ${HOME}/    -->    $LOC615 ${HOME}/\"</label></text>
 	  <entry activates-default=\"true\"><variable>COMMAND</variable></entry>
 	  <text><label>\"\"</label></text>
 	 </frame>
diff --git a/puppy-unleashed/packages/pfind-4.7/usr/local/pfind/locals/english b/puppy-unleashed/packages/pfind-4.7/usr/local/pfind/locals/english
index 0788897..4ff57c8 100644
--- a/puppy-unleashed/packages/pfind-4.7/usr/local/pfind/locals/english
+++ b/puppy-unleashed/packages/pfind-4.7/usr/local/pfind/locals/english
@@ -132,7 +132,7 @@ LOC617="Search result contains file(s) with < or > in name. As long as all filen
 LOC618="items in list.|See menuitem 'configure'."
 LOC619="Restart Pfind to activate new language."
 LOC620="Filenames in searchresult can be shown in 3 different ways:
-<b>Short</b> - Just filename (file.txt). Similar files (/tmp/file.txt and /root/file.txt) will be (file.txt) and (file~.txt).
+<b>Short</b> - Just filename (file.txt). Similar files (/tmp/file.txt and ${HOME}/file.txt) will be (file.txt) and (file~.txt).
 <b>Long</b> - Filename with path (-tmp-file.txt). Never similar files.
 <b>Hybrid</b> - As 'short', but 'long' when similar files."
 
diff --git a/puppy-unleashed/packages/pfind-4.7/usr/local/pfind/pfindhlp b/puppy-unleashed/packages/pfind-4.7/usr/local/pfind/pfindhlp
index bf345ec..a1a2abd 100755
--- a/puppy-unleashed/packages/pfind-4.7/usr/local/pfind/pfindhlp
+++ b/puppy-unleashed/packages/pfind-4.7/usr/local/pfind/pfindhlp
@@ -1,9 +1,9 @@
 
 export HLPTXT1="If wanted, there can be several searchpaths.
-Separate paths with [OR]: '/mnt/ [OR] /root/'.
+Separate paths with [OR]: '/mnt/ [OR] ${HOME}/'.
 './' is used to specify current path."
 export HLPTXT2="Filenames in searchresult can be shown in 3 different ways:
-<b>short</b> -  Just filename (file.txt). Similar files (/tmp/file.txt and /root/file.txt) will be (file.txt) and (file~.txt).
+<b>short</b> -  Just filename (file.txt). Similar files (/tmp/file.txt and ${HOME}/file.txt) will be (file.txt) and (file~.txt).
 <b>long</b> -   Filename with path (-tmp-file.txt). Never similar files.
 <b>hybrid</b> - As 'short', but 'long' when similar files."
 export HLPTXT3="- Searching for 'text in file' is MUCH slower than 'filename'.
diff --git a/puppy-unleashed/packages/pupdvdtool-0.8/usr/local/apps/pupdvdtool/audiogui b/puppy-unleashed/packages/pupdvdtool-0.8/usr/local/apps/pupdvdtool/audiogui
index 15247d7..38b219d 100755
--- a/puppy-unleashed/packages/pupdvdtool-0.8/usr/local/apps/pupdvdtool/audiogui
+++ b/puppy-unleashed/packages/pupdvdtool-0.8/usr/local/apps/pupdvdtool/audiogui
@@ -198,7 +198,7 @@ AUDIODIR="/"
 fi
 AUDIODIR=`cat $HOME/.pupdvdtool/audiodir`
 DIR2=`Xdialog --title "Select your save directory" --dselect "$AUDIODIR" 0 0 2>&1`
-echo "$DIR2" > /root/.pupdvdtool/audiodir
+echo "$DIR2" > ${HOME}/.pupdvdtool/audiodir
 if [ "$?" != 0 ]; then pupdvdtool; exit 0; fi
 fi
 
diff --git a/puppy-unleashed/packages/pupdvdtool-0.8/usr/local/apps/pupdvdtool/pupdvdtool b/puppy-unleashed/packages/pupdvdtool-0.8/usr/local/apps/pupdvdtool/pupdvdtool
index 1091792..0e95626 100755
--- a/puppy-unleashed/packages/pupdvdtool-0.8/usr/local/apps/pupdvdtool/pupdvdtool
+++ b/puppy-unleashed/packages/pupdvdtool-0.8/usr/local/apps/pupdvdtool/pupdvdtool
@@ -14,7 +14,7 @@ fi
 BASE=`getdir $0`
 cd "$BASE"
 
-### the next step converts ./ to a full path like /root/test
+### the next step converts ./ to a full path like ${HOME}/test
 
 BASE=`pwd`
 cd "$BASE"
diff --git a/puppy-unleashed/packages/puppy-podcast-grabber-1.1/usr/local/ppg/ppg.sh b/puppy-unleashed/packages/puppy-podcast-grabber-1.1/usr/local/ppg/ppg.sh
index 1f843a8..b7ca2a3 100755
--- a/puppy-unleashed/packages/puppy-podcast-grabber-1.1/usr/local/ppg/ppg.sh
+++ b/puppy-unleashed/packages/puppy-podcast-grabber-1.1/usr/local/ppg/ppg.sh
@@ -46,7 +46,7 @@ serverlist="${maindir}serverlist.txt"
 gonefile="./.gone"
 
 # change this to where you would like the files to be saved
-outputdir="/root/my-documents/Podcasts"
+outputdir="${HOME}/my-documents/Podcasts"
 if [ ! -e "${outputdir}" ]; then
 	mkdir "${outputdir}"
 fi
diff --git a/puppy-unleashed/packages/pure_ftpd-1.0.22-2/usr/sbin/run-pureftpd b/puppy-unleashed/packages/pure_ftpd-1.0.22-2/usr/sbin/run-pureftpd
index 13b1fe4..bcc9be2 100755
--- a/puppy-unleashed/packages/pure_ftpd-1.0.22-2/usr/sbin/run-pureftpd
+++ b/puppy-unleashed/packages/pure_ftpd-1.0.22-2/usr/sbin/run-pureftpd
@@ -26,7 +26,7 @@ vMsgH=15 ; vMsg=''
 		
 pure-ftpd -bBADHk 90 $cfg
  
-Xdialog --wmclass "pure-ftpd" --title "Start/Stop PureFTPD" --stdout --ok-label "OK" --infobox "Pure-ftpd is started. \n If you allowed anonymous connections, web browsers will connect as user ftp. \n User ftp's home directory is at /root/ftpd. \n If you allowed root logins you should set a root password. \n To set a password for root, open a terminal and type passwd. \n To stop the server run this script again." 0 0 90000
+Xdialog --wmclass "pure-ftpd" --title "Start/Stop PureFTPD" --stdout --ok-label "OK" --infobox "Pure-ftpd is started. \n If you allowed anonymous connections, web browsers will connect as user ftp. \n User ftp's home directory is at ${HOME}/ftpd. \n If you allowed root logins you should set a root password. \n To set a password for root, open a terminal and type passwd. \n To stop the server run this script again." 0 0 90000
 
 
  
\ No newline at end of file
diff --git a/puppy-unleashed/packages/pwidgets-1.9-10/usr/local/pwidgets/func b/puppy-unleashed/packages/pwidgets-1.9-10/usr/local/pwidgets/func
index ba565dc..aef9932 100755
--- a/puppy-unleashed/packages/pwidgets-1.9-10/usr/local/pwidgets/func
+++ b/puppy-unleashed/packages/pwidgets-1.9-10/usr/local/pwidgets/func
@@ -92,7 +92,7 @@ case "$1" in
 				IMAGE="`grep IMAGE= $HOME/.pwidgets/configs/Clock-analog | cut -d '=' -f 2`"
 				echo "xonclock --position=$POS_XONCLOCK --offset-v=$OFFSET_Y --offset-h=$OFFSET_X --use-background --skin=$IMAGE --color-hour=$CLOCK_COLOR_HOUR --color-minute=$CLOCK_COLOR_MINUTE --color-second=$CLOCK_COLOR_SECOND &" >> $HOME/.pwidgets/tmp/pwidgets-exec_xonclock
 				echo "sleep $CLOCK_SLEEP" >> $HOME/.pwidgets/tmp/pwidgets-exec_xonclock
-				echo "rox -p /root/Choices/ROX-Filer/PuppyPin" >> $HOME/.pwidgets/tmp/pwidgets-exec_xonclock
+				echo "rox -p ${HOME}/Choices/ROX-Filer/PuppyPin" >> $HOME/.pwidgets/tmp/pwidgets-exec_xonclock
 				;;
 			"Slideshow")
 				. $HOME/.pwidgets/configs/Slideshow
@@ -152,7 +152,7 @@ case "$1" in
 	while read TREE_WIDGET; do
 		if [ ! "`grep rox $HOME/.pwidgets/tmp/pwidgets-exec_xonclock`" ] && [ "$TREE_WIDGET" = "Tv" ]; then
 			echo "sleep $CLOCK_SLEEP" >> $HOME/.pwidgets/tmp/pwidgets-exec_xwinwrap
-			echo "rox -p /root/Choices/ROX-Filer/PuppyPin" >> $HOME/.pwidgets/tmp/pwidgets-exec_xwinwrap
+			echo "rox -p ${HOME}/Choices/ROX-Filer/PuppyPin" >> $HOME/.pwidgets/tmp/pwidgets-exec_xwinwrap
 		fi
 	done < $HOME/.pwidgets/tmp/pwidgets_list
 	#Update theme
